local L = AceLibrary("AceLocale-2.2"):new("DHUD2")

L:RegisterTranslations("enUS", function() return {
    ["DHUD2"] = true,
    ["Options"] = true,
    ["Open DHUD2's configuration window"] = true,
    -- General Settings
    ["General"] = true,
    ["General Settings"] = true,
    ["Scale"] = true,
    ["Set DHUD2's scale"] = true,
    ["Reverse Castbar"] = true,
    ["Show casting bar from full to empty"] = true,
    ["Swap Target Auras"] = true,
    ["Swap target auras position"] = true,
    ["Player Buff Timer Filter"] = true,
    ["Define the time filter to show player buffs (seconds)"] = true,
    ["Minimap"] = true,
    ["Attach to Minimap"] = true,
    
    -- Layout settings
    ["Centered"] = true,
    ["Right"] = true,
    ["Left"] = true,
    ["One bar at each side of the Player"] = true,
    ["Both bars to the right side"] = true,
    ["Both bars to the left side"] = true,
    ["Layout"] = true,
    ["Choose the layout for the available bars"] = true,
    ["Player Layout"] = true,
    ["Place the Player's bars. Target's bars will be set accordingly"] = true,
    ["Pet Layout"] = true,
    ["Place the pet's bars"] = true,
    ["Player Bars"] = true,
    ["Choose health and power bars location"] = true,
    ["Health Left/Power Right"] = true,
    ["Health Right/Power Left"] = true,
    ["Health Inner/Power Outter"] = true,
    ["Health Outter/Power Inner"] = true,
    ["Pet Bars"] = true,
    ["Druid Bar"] = true,
    ["Choose druid mana bar location"] = true,
    ["Right side"] = true,
    ["Left side"] = true,
    ["Outer Bar"] = true,
    
    -- Display Settings
    ["Display"] = true,
    ["Choose what to display"] = true,
    ["Aura Tips"] = true,
    ["Show aura tips when moused over"] = true,
    ["Bar Borders"] = true,
    ["Show bar borders"] = true,
    ["Blizzard Casting Bar"] = true,
    ["Show Blizzard casting bar"] = true,
    ["Blizzard Pet Bar"] = true,
    ["Show Blizzard's pet frame"] = true,
    ["Blizzard Player Frame"] = true,
    ["Show Blizzard's player frame"] = true,
    ["Blizzard Target Frame"] = true,
    ["Show Blizzard's target frame"] = true,
    ["Casting Bar"] = true,
    ["Show DHUD2 casting bar"] = true,
    ["Combat Icon"] = true,
    ["Show combat icon"] = true,
    ["Druid Bar"] = true,
    ["Show Druid's mana in pet's power bar when shape-shifted (requires SmartyCat)"] = true,
    ["Elite Icon"] = true,
    ["Show elite icon for targets"] = true,
    ["Target NPCs"] = true,
    ["Show target bars when targeting NPCs"] = true,
    ["Player Pet"] = true,
    ["Show player's pet bars"] = true,
    ["Pet Happiness Icon"] = true,
    ["Show pet happiness icon"] = true,
    ["Player Buffs"] = true,
    ["Show player buffs (filtered by Buff Timer Filter)"] = true,
    ["Player PvP Icon"] = true,
    ["Show player's PvP icon"] = true,
    ["Player Rest Icon"] = true,
    ["Show player's rest icon"] = true,
    ["Target Bars"] = true,
    ["Show target bars when targeting"] = true,
    ["Target Auras"] = true,
    ["Show target auras"] = true,
    ["Target PvP Icon"] = true,
    ["Show targets PvP icon"] = true,
    ["Target of Target"] = true,
    ["Show target's target text"] = true,
    
    -- Alphas
    ["Alpha"] = true,
    ["Set HUD situation alpha"] = true,
    ["Combat"] = true,
    ["Set HUD in combat alpha"] = true,
    ["Off Combat"] = true,
    ["Set HUD in out of combat alpha"] = true,
    ["Selection"] = true,
    ["Set HUD when selecting alpha"] = true,
    ["Regeneration"] = true,
    ["Set HUD alpha when regenerating"] = true,
    ["Casting"] = true,
    ["Set HUD alpha when casting"] = true,
    ["Death"] = true,
    ["Set HUD alpha when dead"] = true,
    
    -- Outlines
    ["Outlines"] = true,
    ["Show Outlines"] = true,
    ["Player Buffs"] = true,
    ["Show player's buff text outline"] = true,
    ["Cast Delay"] = true,
    ["Show cast delay text's outline"] = true,
    ["Cast Time"] = true,
    ["Show cast time text's outline"] = true,
    ["Player"] = true,
    ["Show player text's outline"] = true,
    ["Target"] = true,
    ["Show target text's outline"] = true,
    ["Pet"] = true,
    ["Show pet text's outline"] = true,
    ["Target Name"] = true,
    ["Show target text's outline"] = true,
    ["Target Target Name"] = true,
    ["Show target text's outline"] = true,
    ["Target Target"] = true,
    ["Show target target bar text's outline"] = true,
    ["Focus"] = true,
    ["Show focus bar text's outline"] = true,
    
    --Font sizes
    ["Font Sizes"] = true,
    ["Choose font size for the different texts"] = true,
    ["Set player buff text font size"] = true,
    ["Set cast delay text font size"] = true,
    ["Set cast time text font size"] = true,
    ["Set player health and power (mana/rage/energy) text font size"] = true,
    ["Set target health and power (mana/rage/energy) text font size"] = true,
    ["Set pet health and power (mana/rage/energy) text font size"] = true,
    ["Set target's name text font size"] = true,
    ["Set target target's name text font size"] = true,
    ["Set target target's bar text font size"] = true,
    ["Set focus's bar text font size"] = true,
    
    -- Text Styles
    ["Text Style"] = true,
    ["Choose text style for names and health/power"] = true,
    ["Player Health"] = true,
    ["Choose text style for player's health"] = true,
    ["Player Power"] = true,
    ["Choose text style for player's power (mana/rage/energy)"] = true,
    ["Pet Health"] = true,
    ["Choose text style for pet's health"] = true,
    ["Pet Power"] = true,
    ["Choose text style for pet's power"] = true,
    ["Target Health"] = true,
    ["Choose text style for target's health"] = true,
    ["Target Power"] = true,
    ["Choose text style for target's power"] = true,
    ["Target Text"] = true,
    ["Choose text style for target's text"] = true,
    ["TargetTarget Text"] = true,
    ["Choose text style for targetTarget's text"] = true,
    
    --Outer Bars
    ["Outer Bars"] = true,
    ["Choose what to track on the Outer Bars"] = true,
    ["Left Bar"] = true,
    ["Left bar display"] = true,
    ["Right Bar"] = true,
    ["Right bar display"] = true,
    
    
    -- Colors
    ["Colors"] = true,
    ["Change the bar colors. Choose max, medium and low colors and DHUD2 mixes them as the value of the bar changes"] = true,
    ["Player Aura"] = true,
    ["Player's aura border color"] = true,
    ["Max"] = true,
    ["Max value color"] = true,
    ["Med"] = true,
    ["Medium value color"] = true,
    ["Min"] = true,
    ["Min value color"] = true,
    ["Player Health"] = true,
    ["Player's health color"] = true,
    ["Player Mana"] = true,
    ["Player's mana color"] = true,
    ["Player Rage"] = true,
    ["Player's rage color"] = true,
    ["Player Energy"] = true,
    ["Player's energy color"] = true,
    ["Target Health"] = true,
    ["Target's health color"] = true,
    ["Target Mana"] = true,
    ["Target's mana color"] = true,
    ["Target Rage"] = true,
    ["Target's rage color"] = true,
    ["Target Energy"] = true,
    ["Target's energy color"] = true,
    ["Target Tapped"] = true,
    ["Target's tapped color"] = true,
    ["Target Focus"] = true,
    ["Target's focus color"] = true,
    ["Pet Health"] = true,
    ["Pet's health color"] = true,
    ["Pet Mana"] = true,
    ["Pet's mana color"] = true,
    ["Pet Focus"] = true,
    ["Pet's focus color"] = true,
    ["Target Target Health"] = true,
    ["Target Target's health color"] = true,
    ["Target Target Mana"] = true,
    ["Target Target's mana color"] = true,
    ["Target Target Rage"] = true,
    ["Target Target's rage color"] = true,
    ["Target Target Energy"] = true,
    ["Target Target's energy color"] = true,
    ["Target Target Focus"] = true,
    ["Target Target's focus color"] = true,
    ["Target Target Tapped"] = true,
    ["Target Target's tapped color"] = true,
    ["Focus Health"] = true,
    ["Focus's health color"] = true,
    ["Focus Mana"] = true,
    ["Focus's mana color"] = true,
    ["Focus Rage"] = true,
    ["Focus's rage color"] = true,
    ["Focus Energy"] = true,
    ["Focus's energy color"] = true,
    ["Focus Focus"] = true,
    ["Focus's focus color"] = true,
    ["Focus Tapped"] = true,
    ["Focus's tapped color"] = true,
    ["Casting Bar"] = true,
    ["Cast bar color"] = true,
    ["Channel Bar"] = true,
    ["Channel bar color"] = true,   
} end)